﻿#language: ru

@drivers_of_electric_car

Функционал: 04_drivers.02.004 Учет перемещений с помощью ТСД

Сценарий: 04_drivers.02.004 Создание кнопки учета операции
	Дано Я подключаюсь под "ТСД"
	Когда я нажимаю на кнопку 'Настроить'
	Когда открылось окно 'Рабочий стол (Разделы панели пользователя)'
	И в таблице "СоставКоманд" я нажимаю на кнопку с именем 'СоставКомандДобавить'
	И в таблице "СоставКоманд" я нажимаю кнопку выбора у реквизита "Кнопка"
	Тогда открылось окно 'Кнопки панели пользователя'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Кнопка панели пользователя (создание)'
	И в поле 'Заголовок' я ввожу текст 'Учет перемещений'
	И я нажимаю кнопку выбора у поля "Форма"
	Тогда открылось окно 'Выбор формы'
	И в таблице "ДеревоОбъектов" я разворачиваю строку:
		| 'Синоним объекта' |
		| 'Обработки'       |
	И в таблице "ДеревоОбъектов" я перехожу к строке:
		| 'Синоним объекта'      |
		| 'Учет перемещений ТСД' |
	И в таблице "ДеревоОбъектов" я выбираю текущую строку
	Тогда открылось окно 'Кнопка панели пользователя (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка панели пользователя (создание) *' в течение 20 секунд
	Тогда открылось окно 'Кнопки панели пользователя'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий стол (Разделы панели пользователя) *'
	И в таблице "СоставКоманд" в поле 'Строка' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий стол (Разделы панели пользователя) *' в течение 20 секунд
	И я нажимаю на кнопку 'Открыть новое окно'

Сценарий: 04_drivers.02.004 Учет перемещений с помощью ТСД монотоварной тары по заданию
	И я нажимаю на кнопку 'Учет перемещений'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке с именем "ГруппаСтраницаНастройки"
	И я нажимаю на кнопку с именем 'КомандаОтборМаршрутВыбрать'
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маршрут №1'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке "По заданиям"
	И я жду, что в таблице "ТаблицаЗаданий" количество строк будет "равно" 0 в течение 10 секунд
	И я перехожу к закладке с именем "ГруппаСтраницаНастройки"
	И я нажимаю на кнопку с именем 'КомандаОтборМаршрутВыбрать'
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маршрут №2'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке "Без задания"
	И я запоминаю значение выражения '"030000006" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "НеверныйШтрихкод"
	И в поле 'ШтрихКод' я ввожу значение переменной "НеверныйШтрихкод"
	И я перехожу к следующему реквизиту
	И у элемента с именем "ТекстОшибки" я жду значения 'Тара "Контейнер 03000000*" не доступна в режиме "без задания"' в течение 7 секунд по шаблону
	И я нажимаю на кнопку 'КомандаОК'
	И я перехожу к закладке "По заданиям"
	И я жду, что в таблице "ТаблицаЗаданий" количество строк будет "равно" 4 в течение 10 секунд
	И я запоминаю значение выражения '"030000021" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "НеверныйШтрихкод"
	И в поле 'ШтрихКод' я ввожу значение переменной "НеверныйШтрихкод"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	И я запоминаю значение выражения '"030000001" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "Штрихкод"
	И в поле "Штрихкод" я ввожу значение переменной "Штрихкод"
	И я перехожу к следующему реквизиту
	И в таблице "ТаблицаЗаданий" я перехожу к строке по шаблону:
		| 'Захвачен' | 'Номенклатура'                       | 'Отправитель'         | 'Получатель'          | 'Тара'                 |
		| 'Да'       | 'Российский 50% / На созревании / *' | 'Камера созревания 1' | 'Камера созревания 4' | 'Контейнер 030000001*' |
	И я нажимаю на кнопку с именем 'КомандаТаблицаЗаданийПодтвердитьВыполнениеЗаданий'
	И у элемента с именем 'ОтборСкладОтправитель' я жду значения 'Камера созревания 4' в течение 20 секунд
	И я нажимаю на кнопку 'КомандаОтборСкладОтправительОчистить'
	И я жду, что в таблице "ТаблицаЗаданий" количество строк будет "равно" 3 в течение 10 секунд
	И я нажимаю на кнопку 'КомандаЗавершитьРаботу'

Сценарий: 04_drivers.02.004 Проверка движений документа одной тары по заданию
	Дано Я открываю основную форму списка документа "к2РаспоряжениеНаПеремещение"
	И в таблице "Список" я перехожу к последней строке
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Распоряжение на перемещение * от *' | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Перемещения по заданиям" (1)'      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | ''                      | 'Ресурсы'             | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                          | 'Ответственный'         | 'Количество'          | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | ''                              | 'ТСД'					  | '1,000'               | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Свободные остатки" (2)'            | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                              | 'Измерения'             | ''                    | ''                   | ''                    | ''                  | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                        | 'Склад'                 | 'Ячейка'              | 'Номенклатура'       | 'Характеристика'      | 'Серия'             | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'                             | 'Камера созревания 1'   | ''                    | 'Российский 50%'     | 'На созревании'       | '11.11.2018/1'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'                             | 'Камера созревания 4'   | ''                    | 'Российский 50%'     | 'На созревании'       | '11.11.2018/1'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Товары на складах" (2)'            | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                              | 'Измерения'             | ''                    | ''                   | ''                    | ''                  | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                        | 'Склад'                 | 'Ячейка'              | 'Номенклатура'       | 'Характеристика'      | 'Серия'             | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'                             | 'Камера созревания 1'   | ''                    | 'Российский 50%'     | 'На созревании'       | '11.11.2018/1'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'                             | 'Камера созревания 4'   | ''                    | 'Российский 50%'     | 'На созревании'       | '11.11.2018/1'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Задания на перемещение" (1)'         | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | ''                      | 'Ресурсы'             | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Задание на перемещение'        | 'Тара'                  | 'Склад отправитель'   | 'Ячейка отправитель' | 'Склад получатель'    | 'Ячейка получатель' | 'Статус'     | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | 'Задание на перемещение * от *' | 'Контейнер 030000001*'  | 'Камера созревания 1' | ''                   | 'Камера созревания 4' | ''                  | 'Выполнено'  | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Местонахождение тары" (1)'           | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | 'Ресурсы'               | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                          | 'Склад'                 | 'Ячейка'              | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | 'Контейнер 030000001*'          | 'Камера созревания 4'   | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 04_drivers.02.004 Учет перемещений с помощью ТСД политоварной тары по заданию
	И я нажимаю на кнопку 'Учет перемещений'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке с именем "ГруппаСтраницаНастройки"
	И я нажимаю на кнопку с именем 'КомандаОтборМаршрутВыбрать'
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маршрут №2'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке "По заданиям"
	И я жду, что в таблице "ТаблицаЗаданий" количество строк будет "равно" 3 в течение 10 секунд
	И я запоминаю значение выражения '"030000003" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "Штрихкод"
	И в поле "Штрихкод" я ввожу значение переменной "Штрихкод"
	И я перехожу к следующему реквизиту
	И в таблице "ТаблицаЗаданий" я перехожу к строке по шаблону:
		| 'Захвачен' | 'Номенклатура' | 'Отправитель'         | 'Получатель'          | 'Тара'                 |
		| 'Да'       | '<составная>'  | 'Камера созревания 1' | 'Камера созревания 4' | 'Контейнер 030000003*' |
	И я нажимаю на кнопку с именем 'КомандаТаблицаЗаданийПодтвердитьВыполнениеЗаданий'
	И элемент формы "ОтборСкладОтправитель" стал равен "Камера созревания 4"
	И я нажимаю на кнопку 'КомандаОтборСкладОтправительОчистить'
	И я жду, что в таблице "ТаблицаЗаданий" количество строк будет "равно" 2 в течение 10 секунд
	И я нажимаю на кнопку 'КомандаЗавершитьРаботу'

Сценарий: 04_drivers.02.004 Проверка движений документа одной тары с двумя партиями по заданию
	Дано Я открываю основную форму списка документа "к2РаспоряжениеНаПеремещение"
	И в таблице "Список" я перехожу к последней строке
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Распоряжение на перемещение * от *' | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Перемещения по заданиям" (1)'      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | ''                      | 'Ресурсы'             | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                          | 'Ответственный'         | 'Количество'          | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | ''                              | 'ТСД'   				  | '1,000'               | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Свободные остатки" (4)'            | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                              | 'Измерения'             | ''                    | ''                   | ''                    | ''                  | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                        | 'Склад'                 | 'Ячейка'              | 'Номенклатура'       | 'Характеристика'      | 'Серия'             | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'                             | 'Камера созревания 1'   | ''                    | 'Российский 50%'     | 'На созревании'       | '11.11.2018/2'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Расход'                                                | 'Да'                  | '*'                             | 'Камера созревания 1'   | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/2'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'                             | 'Камера созревания 4'   | ''                    | 'Российский 50%'     | 'На созревании'       | '11.11.2018/2'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'                             | 'Камера созревания 4'   | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/2'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Товары на складах" (4)'            | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                              | 'Измерения'             | ''                    | ''                   | ''                    | ''                  | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                        | 'Склад'                 | 'Ячейка'              | 'Номенклатура'       | 'Характеристика'      | 'Серия'             | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'                             | 'Камера созревания 1'   | ''                    | 'Российский 50%'     | 'На созревании'       | '11.11.2018/2'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Расход'                                                | 'Да'                  | '*'                             | 'Камера созревания 1'   | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/2'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'                             | 'Камера созревания 4'   | ''                    | 'Российский 50%'     | 'На созревании'       | '11.11.2018/2'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'                             | 'Камера созревания 4'   | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/2'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Задания на перемещение" (1)'         | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | ''                      | 'Ресурсы'             | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Задание на перемещение'        | 'Тара'                  | 'Склад отправитель'   | 'Ячейка отправитель' | 'Склад получатель'    | 'Ячейка получатель' | 'Статус'     | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | 'Задание на перемещение * от *' | 'Контейнер 030000003*'  | 'Камера созревания 1' | ''                   | 'Камера созревания 4' | ''                  | 'Выполнено'  | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Местонахождение тары" (1)'           | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | 'Ресурсы'               | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                          | 'Склад'                 | 'Ячейка'              | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | 'Контейнер 030000003*'          | 'Камера созревания 4'   | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 04_drivers.02.004 Перемещение нескольких тар сразу по заданию
	И я нажимаю на кнопку 'Учет перемещений'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке с именем "ГруппаСтраницаНастройки"
	И я нажимаю на кнопку с именем 'КомандаОтборМаршрутВыбрать'
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маршрут №2'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке "По заданиям"
	И я жду, что в таблице "ТаблицаЗаданий" количество строк будет "равно" 2 в течение 10 секунд
	И я запоминаю значение выражения '"030000006" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "Штрихкод1"
	И в поле 'ШтрихКод' я ввожу значение переменной "Штрихкод1"
	И я перехожу к следующему реквизиту
	И в поле 'ШтрихКод' я ввожу текст "04000000002"
	И я перехожу к следующему реквизиту
	И пауза 1
	И я нажимаю на кнопку с именем 'КомандаТаблицаЗаданийПодтвердитьВыполнениеВсехЗаданий'
	И элемент формы "ОтборСкладОтправитель" стал равен "Камера созревания 4"
	И я нажимаю на кнопку 'КомандаОтборСкладОтправительОчистить'
	И я жду, что в таблице "ТаблицаЗаданий" количество строк будет "равно" 0 в течение 10 секунд
	И я нажимаю на кнопку 'КомандаЗавершитьРаботу'

Сценарий: 04_drivers.02.004 Проверка движений документа нескольких тар по заданию
	Дано Я открываю основную форму списка документа "к2РаспоряжениеНаПеремещение"
	И в таблице "Список" я перехожу к последней строке
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Распоряжение на перемещение * от *' | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Перемещения по заданиям" (1)'      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | ''                      | 'Ресурсы'             | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                          | 'Ответственный'         | 'Количество'          | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 		  | '04000000002'                   | 'ТСД'   		      | '1,000'               | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Свободные остатки" (2)'            | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                              | 'Измерения'             | ''                    | ''                   | ''                    | ''                  | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                        | 'Склад'                 | 'Ячейка'              | 'Номенклатура'       | 'Характеристика'      | 'Серия'             | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'                             | 'Камера созревания 1'   | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/5'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'                             | 'Камера созревания 4'   | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/5'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Товары на складах" (2)'            | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                              | 'Измерения'             | ''                    | ''                   | ''                    | ''                  | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                        | 'Склад'                 | 'Ячейка'              | 'Номенклатура'       | 'Характеристика'      | 'Серия'             | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'                             | 'Камера созревания 1'   | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/5'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'                             | 'Камера созревания 4'   | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/5'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Задания на перемещение" (1)'         | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | ''                      | 'Ресурсы'             | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Задание на перемещение'        | 'Тара'                  | 'Склад отправитель'   | 'Ячейка отправитель' | 'Склад получатель'    | 'Ячейка получатель' | 'Статус'     | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 		  | 'Задание на перемещение * от *' | '04000000002'  	      | 'Камера созревания 1' | ''                   | 'Камера созревания 4' | ''                  | 'Выполнено'  | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Местонахождение тары" (1)'           | ''                    | ''                              | ''                      | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | 'Ресурсы'               | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                          | 'Склад'                 | 'Ячейка'              | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 		  | '04000000002'      		    | 'Камера созревания 4'   | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к предыдущей строке
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Распоряжение на перемещение * от *' | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Перемещения по заданиям" (1)'      | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | ''                    | 'Ресурсы'             | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                          | 'Ответственный'       | 'Количество'          | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 		  | ''		                    | 'ТСД' 		    | '1,000'               | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Свободные остатки" (2)'            | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                              | 'Измерения'           | ''                    | ''                   | ''                    | ''                  | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                        | 'Склад'               | 'Ячейка'              | 'Номенклатура'       | 'Характеристика'      | 'Серия'             | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'                             | 'Камера созревания 1' | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/4'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'                             | 'Камера созревания 4' | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/4'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Товары на складах" (2)'            | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                              | 'Измерения'           | ''                    | ''                   | ''                    | ''                  | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                        | 'Склад'               | 'Ячейка'              | 'Номенклатура'       | 'Характеристика'      | 'Серия'             | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'                             | 'Камера созревания 1' | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/4'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'                             | 'Камера созревания 4' | ''                    | 'Сливочный 45%'      | 'На созревании'       | '11.12.2018/4'      | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Задания на перемещение" (1)'         | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | ''                    | 'Ресурсы'             | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Задание на перемещение'        | 'Тара'                | 'Склад отправитель'   | 'Ячейка отправитель' | 'Склад получатель'    | 'Ячейка получатель' | 'Статус'     | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 		  | 'Задание на перемещение * от *' | 'Контейнер 030000006*'| 'Камера созревания 1' | ''                   | 'Камера созревания 4' | ''                  | 'Выполнено'  | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Местонахождение тары" (1)'           | ''                    | ''                              | ''                    | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'                     | 'Ресурсы'             | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                          | 'Склад'               | 'Ячейка'              | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 		  | 'Контейнер 030000006*'          | 'Камера созревания 4' | ''                    | ''                   | ''                    | ''                  | ''           | ''             | ''             | ''                            |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 04_drivers.02.004 Перемещение монотоварной тары без задания
	И я нажимаю на кнопку 'Учет перемещений'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке с именем "ГруппаСтраницаНастройки"
	И я нажимаю на кнопку с именем 'КомандаОтборМаршрутВыбрать'
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маршрут №2'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке "Без задания"
	И я запоминаю значение выражения '"030000002" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "Штрихкод"
	И в поле 'ШтрихКод' я ввожу значение переменной "Штрихкод"
	И я перехожу к следующему реквизиту
	И пауза 1
	И таблица "ТаблицаБезЗаданий" стала равной по шаблону:
		| 'Захвачен' | 'Отправитель'         | 'Тара'                 | 'Номенклатура'                                 |
		| 'Да'       | 'Камера созревания 1' | 'Контейнер 030000002*' | 'Сливочный 45% / На созревании / 11.12.2018/1' |
	И я нажимаю на кнопку с именем 'КомандаТаблицаБезЗаданийПодтвердитьВыполнениеЗаданий'
	И я нажимаю на кнопку 'КомандаОК'
	И я перехожу к закладке с именем "ГруппаСтраницаНастройки"
	И я нажимаю на кнопку с именем 'КомандаСкладПолучательВыбрать'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        | 'Свободно' |
		| 'Камера созревания 4' | '-5'       |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке "Без задания"
	И в таблице "ТаблицаБезЗаданий" я активизирую поле с именем "ТаблицаБезЗаданийНоменклатураПредставление"
	И я нажимаю на кнопку с именем 'КомандаТаблицаБезЗаданийПодтвердитьВыполнениеЗаданий'
	И я жду, что в таблице "ТаблицаБезЗаданий" количество строк будет "равно" 0 в течение 10 секунд
	И я нажимаю на кнопку 'КомандаЗавершитьРаботу'

Сценарий: 04_drivers.02.004 Проверка движений документа одной тары без задания
	Дано Я открываю основную форму списка документа "к2РаспоряжениеНаПеремещение"
	И в таблице "Список" я перехожу к последней строке
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Распоряжение на перемещение * от *' | ''                    | ''                      | ''                    | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                      | ''                    | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Перемещения по заданиям" (1)'      | ''                    | ''                      | ''                    | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'             | ''                    | 'Ресурсы'    | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                  | 'Ответственный'       | 'Количество' | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | ''                      | 'ТСД'                 | '1,000'      | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                      | ''                    | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Свободные остатки" (2)'            | ''                    | ''                      | ''                    | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                      | 'Измерения'           | ''           | ''              | ''               | ''             | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                | 'Склад'               | 'Ячейка'     | 'Номенклатура'  | 'Характеристика' | 'Серия'        | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'   					| 'Камера созревания 1' | ''           | 'Сливочный 45%' | 'На созревании'  | '11.12.2018/1' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'   					| 'Камера созревания 4' | ''           | 'Сливочный 45%' | 'На созревании'  | '11.12.2018/1' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                      | ''                    | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Товары на складах" (2)'            | ''                    | ''                      | ''                    | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                      | 'Измерения'           | ''           | ''              | ''               | ''             | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                | 'Склад'               | 'Ячейка'     | 'Номенклатура'  | 'Характеристика' | 'Серия'        | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'   					| 'Камера созревания 1' | ''           | 'Сливочный 45%' | 'На созревании'  | '11.12.2018/1' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'   					| 'Камера созревания 4' | ''           | 'Сливочный 45%' | 'На созревании'  | '11.12.2018/1' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                      | ''                    | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Местонахождение тары" (1)'           | ''                    | ''                      | ''                    | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'             | 'Ресурсы'             | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                  | 'Склад'               | 'Ячейка'     | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | 'Контейнер 030000002*'  | 'Камера созревания 4' | ''           | ''              | ''               | ''             | ''           | ''             | ''             | ''                            |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 04_drivers.02.004 Перемещение политоварной тары без задания
	И я нажимаю на кнопку 'Учет перемещений'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке с именем "ГруппаСтраницаНастройки"
	И я нажимаю на кнопку с именем 'КомандаОтборМаршрутВыбрать'
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маршрут №2'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я нажимаю на кнопку с именем 'КомандаСкладПолучательВыбрать'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке "Без задания"
	И в поле 'ШтрихКод' я ввожу текст '04000000001'
	И я перехожу к следующему реквизиту
	И пауза 1
	И таблица "ТаблицаБезЗаданий" стала равной:
		| 'Захвачен' | 'Отправитель'         | 'Тара'        | 'Номенклатура' |
		| 'Да'       | 'Камера созревания 4' | '04000000001' | '<составная>'  |
	И я нажимаю на кнопку с именем 'КомандаТаблицаБезЗаданийПодтвердитьВыполнениеЗаданий'
	И я жду, что в таблице "ТаблицаБезЗаданий" количество строк будет "равно" 0 в течение 10 секунд
	И я нажимаю на кнопку 'КомандаЗавершитьРаботу'

Сценарий: 04_drivers.02.004 Проверка движений документа одной тары с двумя партиями без задания
	Дано Я открываю основную форму списка документа "к2РаспоряжениеНаПеремещение"
	И в таблице "Список" я перехожу к последней строке
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Распоряжение на перемещение * от *' | ''                    | ''                    | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                    | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Перемещения по заданиям" (1)'      | ''                    | ''                    | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'           | ''                    | 'Ресурсы'    | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                | 'Ответственный'       | 'Количество' | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 		  | '04000000001'         | 'ТСД'                 | '1,000'      | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                    | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Свободные остатки" (4)'            | ''                    | ''                    | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                    | 'Измерения'           | ''           | ''               | ''               | ''             | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'              | 'Склад'               | 'Ячейка'     | 'Номенклатура'   | 'Характеристика' | 'Серия'        | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*' 		  | 'Камера созревания 4' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/1' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Расход'                                                | 'Да'                  | '*' 		  | 'Камера созревания 4' | ''           | 'Сливочный 45%'  | 'На созревании'  | '11.12.2018/3' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*' 		  | 'Камера созревания 1' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/1' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*' 		  | 'Камера созревания 1' | ''           | 'Сливочный 45%'  | 'На созревании'  | '11.12.2018/3' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                    | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Товары на складах" (4)'            | ''                    | ''                    | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                    | 'Измерения'           | ''           | ''               | ''               | ''             | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'              | 'Склад'               | 'Ячейка'     | 'Номенклатура'   | 'Характеристика' | 'Серия'        | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*' 		  | 'Камера созревания 4' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/1' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Расход'                                                | 'Да'                  | '*' 		  | 'Камера созревания 4' | ''           | 'Сливочный 45%'  | 'На созревании'  | '11.12.2018/3' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*' 		  | 'Камера созревания 1' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/1' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*' 		  | 'Камера созревания 1' | ''           | 'Сливочный 45%'  | 'На созревании'  | '11.12.2018/3' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                    | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Местонахождение тары" (1)'           | ''                    | ''                    | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'           | 'Ресурсы'             | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                | 'Склад'               | 'Ячейка'     | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 		  | '04000000001'         | 'Камера созревания 1' | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 04_drivers.02.004 Перемещение нескольких тар без задания
	И я нажимаю на кнопку 'Учет перемещений'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я перехожу к закладке с именем "ГруппаСтраницаНастройки"
	И я нажимаю на кнопку с именем 'КомандаОтборМаршрутВыбрать'
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маршрут №2'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я нажимаю на кнопку с именем 'КомандаСкладПолучательВыбрать'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 4' | 
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Учет перемещений ТСД'
	И я меняю значение переключателя 'Показывать чужие' на 'Да'
	И я перехожу к закладке "Без задания"
	И я запоминаю значение выражения '"030000005" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "Штрихкод1"
	И в поле 'ШтрихКод' я ввожу значение переменной "Штрихкод1"
	И я перехожу к следующему реквизиту
	И пауза 1
	И я запоминаю значение выражения '"030000004" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "Штрихкод2"
	И в поле 'ШтрихКод' я ввожу значение переменной "Штрихкод2"
	И я перехожу к следующему реквизиту
	И пауза 1
	И таблица "ТаблицаБезЗаданий" стала равной по шаблону:
		| 'Захвачен' | 'Отправитель'         | 'Тара'                 | 'Номенклатура'                                  | 'Исполнитель' |
		| 'Да'       | 'Камера созревания 1' | 'Контейнер 030000004*' | 'Российский 50% / На созревании / 11.12.2018/2' | 'ТСД'         |
		| 'Да'       | 'Камера созревания 1' | 'Контейнер 030000005*' | 'Российский 50% / На созревании / 11.12.2018/3' | 'ТСД'         |
	И я нажимаю на кнопку с именем 'КомандаТаблицаБезЗаданийПодтвердитьВыполнениеВсехЗаданий'
	И я жду, что в таблице "ТаблицаБезЗаданий" количество строк будет "равно" 0 в течение 10 секунд
	И я нажимаю на кнопку 'КомандаЗавершитьРаботу'

Сценарий: 04_drivers.02.004 Проверка движений документа нескольких тар без задания
	Дано Я открываю основную форму списка документа "к2РаспоряжениеНаПеремещение"
	И в таблице "Список" я перехожу к последней строке
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Распоряжение на перемещение * от *' | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| ''                          							  | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Перемещения по заданиям" (1)'      | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'     							  | ''                    | 'Измерения'             | ''                    | 'Ресурсы'    | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                  | 'Ответственный'       | 'Количество' | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | ''                      | 'ТСД'                 | '1,000'      | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| ''                          							  | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Свободные остатки" (2)'            | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'     							  | ''                    | ''                      | 'Измерения'           | ''           | ''               | ''               | ''             | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                | 'Склад'               | 'Ячейка'     | 'Номенклатура'   | 'Характеристика' | 'Серия'        | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'   					| 'Камера созревания 1' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/3' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'   					| 'Камера созревания 4' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/3' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                          							  | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Товары на складах" (2)'            | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'     							  | ''                    | ''                      | 'Измерения'           | ''           | ''               | ''               | ''             | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                | 'Склад'               | 'Ячейка'     | 'Номенклатура'   | 'Характеристика' | 'Серия'        | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'   					| 'Камера созревания 1' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/3' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'   					| 'Камера созревания 4' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/3' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                          							  | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Местонахождение тары" (1)'           | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'     							  | ''                    | 'Измерения'             | 'Ресурсы'             | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                  | 'Склад'               | 'Ячейка'     | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | 'Контейнер 030000005*'  | 'Камера созревания 4' | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к предыдущей строке
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Распоряжение на перемещение * от *' | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| ''                          							  | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Перемещения по заданиям" (1)'      | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'             | ''                    | 'Ресурсы'    | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                  | 'Ответственный'       | 'Количество' | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | ''                      | 'ТСД'                 | '1,000'      | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| ''                                                      | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Свободные остатки" (2)'            | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                      | 'Измерения'           | ''           | ''               | ''               | ''             | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                | 'Склад'               | 'Ячейка'     | 'Номенклатура'   | 'Характеристика' | 'Серия'        | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'   					| 'Камера созревания 1' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/2' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'   					| 'Камера созревания 4' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/2' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр накопления "Товары на складах" (2)'            | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | ''                      | 'Измерения'           | ''           | ''               | ''               | ''             | 'Ресурсы'    | ''             | ''             | 'Реквизиты'                   |
		| 'Вид движения'                                          | 'Активность'          | 'Период'                | 'Склад'               | 'Ячейка'     | 'Номенклатура'   | 'Характеристика' | 'Серия'        | 'Количество' | 'Количество 1' | 'Количество 2' | 'Настройка контроля остатков' |
		| 'Расход'                                                | 'Да'                  | '*'   					| 'Камера созревания 1' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/2' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| 'Приход'                                                | 'Да'                  | '*'   					| 'Камера созревания 4' | ''           | 'Российский 50%' | 'На созревании'  | '11.12.2018/2' | '200,000'    | '50,000'       | ''             | 'Не контролировать'           |
		| ''                                                      | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Регистр сведений "Местонахождение тары" (1)'           | ''                    | ''                      | ''                    | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'             | 'Ресурсы'             | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Активность'                                            | 'Период'              | 'Тара'                  | 'Склад'               | 'Ячейка'     | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
		| 'Да'                                                    | '*' 				  | 'Контейнер 030000004*'  | 'Камера созревания 4' | ''           | ''               | ''               | ''             | ''           | ''             | ''             | ''                            |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 04_drivers.02.004 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT